Subject: [Netconf] YANG and binary data blobs

From: Andrew Stone <[email-masked]>
Date: Thu, 15 May 2014 13:32:37 -0400

Hi,

I want to specify a blob of binary data -- for example, an image or an
array of data points that the mgt app might present as a chart.

Originally I formulated this as a leaf-list of a fundamental type (int).
But I see now in RFC6020 that leaf-list is actually more like a set.  That
is, elements with the same value are not allowed.

Next possibility (please excuse any typos I'm writing this right now) is

list {
  key id;
  leaf id { type int; }
  leaf val { type int; }
}

This formulation has a few problems:
1. it is not clear that this is not a "sparse" list -- that a good
underlying representation would be an array
2. it implicitly puts the key "id" as a member of the list element -- in
"C": { int id; int val; }.  But I suppose again a customized implementation
could dispense with this.
3. inefficient Netconf XML.
4. unnecessary ability to reference individual elements.

What do you use for binary data blobs?

Regards,
Andrew

---

From: Andy Bierman <[email-masked]>
Date: Thu, 15 May 2014 10:42:53 -0700

> What do you use for binary data blobs?
How about the "binary" type defined in RFC 6020, sec. 9.8?

> Andrew
Andy

> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>
>

---

From: Andrew Stone <[email-masked]>
Date: Fri, 16 May 2014 10:35:22 -0400

How is it possible that I missed that!!!

Anyway, thanks!

On Thu, May 15, 2014 at 1:42 PM, Andy Bierman <[email-masked]> wrote:

>
>
>
> On Thu, May 15, 2014 at 10:32 AM, Andrew Stone <[email-masked]>wrote:
>
>> Hi,
>>